.app-header {
  position: relative;
  width: 100%;
  height: 90px;
  background-color: var(--curry); /* rosso curry */
  color: var(--spice);
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: 6px;
  padding: 0 10px;
}

.app-header__logo {
  display: flex;
  align-items: center;
}

.app-header__img {
  aspect-ratio: calc(4 / 3);
  height: 80px;
}

.app-header__sitenames {
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 6px;
}

.app-header__title {
  font-weight: 600;
  font-size: 18px;
  display: block;
}

.app-header__subtitle {
  font-size: 15px;
  opacity: 0.9;
}

.app-header__navbar {
  display: none;
}

.app-header__navbar.visible {
  display: flex;
  position: absolute;
  inset: 0;
  flex-direction: column;
  align-items: center;
  gap: 6px;
  top: 90px;
  width: 100%;
  height: max-content;
  background-color: var(--curry);
  opacity: 0.95;
  padding: 5px 0;
}

.app-header__navbar.visible > a {
  width: min(100%, var(--width));
  text-align: center;
  width: 100%;
  color: var(--spice);
  font-size: 1.05rem;
  font-weight: 500;
  padding: 5px;
}

/* ---------
   HAMBURGER
   --------- */
.visuallyHidden {
  position: absolute;
  overflow: hidden;
  clip: rect(0 0 0 0);
  height: 1px;
  width: 1px;
  margin: -1px;
  padding: 0;
  border: 0;
}

.hamburger {
  width: 20px;
  height: 20px;
  position: relative;
}

.hamburger .bar {
  padding: 0;
  width: 20px;
  height: 4px;
  background-color: var(--bg);
  display: block;
  border-radius: 4px;
  transition: all 0.4s ease-in-out;
  position: absolute;
}

.bar1 {
  top: 0;
}

.bar2,
.bar3 {
  top: 8px;
}

.bar3 {
  right: 0;
}

.bar4 {
  bottom: 0;
}

.checkbox2:checked + label > .hamburger2 > .bar1 {
  transform: translateX(40px);
  background-color: transparent;
}

.checkbox2:checked + label > .hamburger2 > .bar2 {
  transform: rotate(45deg);
}

.checkbox2:checked + label > .hamburger2 > .bar3 {
  transform: rotate(-45deg);
}

.checkbox2:checked + label > .hamburger2 > .bar4 {
  transform: translateX(-40px);
  background-color: transparent;
}
